%global date    20020801
%global baserelease 4

Summary:        XHTML 1.0 document type definitions
Name:           xhtml1-dtds
Version:        1.0
Release:        %{date}.%{baserelease}%{?dist}
License:        W3C
URL:            http://www.w3.org/TR/2002/REC-xhtml1-%{date}/
# Source0 created with following steps:
# wget http://www.w3.org/TR/2002/REC-xhtml1-20020801/xhtml1.tgz
# tar zxf xhtml1.tgz
# find xhtml1-20020801 -type f | grep -vF /DTD/ | xargs rm
# tar Jcvf xhtml1-dtds-20020801.tar.xz xhtml1-20020801
Source0:        %{name}-%{date}.tar.xz
Source1:        %{name}.catalog.xml

Patch3000:      %{name}-sgml-catalog.patch
Patch3001:      %{name}-sgml-dcl.patch

BuildRequires:  libxml2
Requires:       libxml2 xml-common sgml-common
Requires(post): /usr/bin/xmlcatalog
Requires(preun):/usr/bin/xmlcatalog

BuildArch:      noarch


%description
This provides the DTDs of the Second Edition of XHTML 1.0, a reformulation
of HTML 4 as an XML 1.0 application, and three DTDs corresponding to the
ones defined by HTML 4. The semantics of the elements and their attributes
are defined in the W3C Recommendation for HTML 4. These semantics provide
the foundation for future extensibility of XHTML.


%prep
%autosetup -n xhtml1-20020801 -p1
cp -p %{SOURCE1} DTD/catalog.xml


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/xml/xhtml/1.0
cp -p DTD/* %{buildroot}%{_datadir}/xml/xhtml/1.0

xpkg() {
  xmlcatalog --noout --add "$1" "$2" \
    %{_datadir}/xml/xhtml/1.0/catalog.xml \
    %{buildroot}%{_sysconfdir}/xml/%{name}-%{version}-%{release}.xml
}

mkdir -p %{buildroot}%{_sysconfdir}/xml
xmlcatalog --noout --create %{buildroot}%{_sysconfdir}/xml/%{name}-%{version}-%{release}.xml
xpkg delegatePublic "-//W3C//DTD XHTML 1.0 "
xpkg delegatePublic "-//W3C//ENTITIES Latin 1 for XHTML"
xpkg delegatePublic "-//W3C//ENTITIES Special for XHTML"
xpkg delegatePublic "-//W3C//ENTITIES Symbols for XHTML"
for i in xhtml1 2002/REC-xhtml1-%{date} ; do
  xpkg delegateSystem http://www.w3.org/TR/$i/DTD/
  xpkg delegateURI http://www.w3.org/TR/$i/DTD/
done
ln -s %{name}-%{version}-%{release}.xml %{buildroot}%{_sysconfdir}/xml/%{name}.xml

mkdir -p %{buildroot}%{_sysconfdir}/sgml
cd %{buildroot}%{_sysconfdir}/sgml
touch %{name}-%{version}-%{release}.soc
ln -s %{name}-%{version}-%{release}.soc %{name}.soc
cd -


%post
cd %{_sysconfdir}/xml
[ -e catalog ] || /usr/bin/xmlcatalog --noout --create catalog
/usr/bin/xmlcatalog --noout --add \
    nextCatalog %{name}-%{version}-%{release}.xml "" catalog >/dev/null
cd - >/dev/null
/usr/bin/xmlcatalog --sgml --noout --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/xml/xhtml/1.0/xhtml.soc >/dev/null
:

%preun
/usr/bin/xmlcatalog --noout --del \
    %{name}-%{version}-%{release}.xml \
    %{_sysconfdir}/xml/catalog >/dev/null
/usr/bin/xmlcatalog --sgml --noout --del \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/xml/xhtml/1.0/xhtml.soc >/dev/null
:


%files
%ghost %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc
%{_sysconfdir}/sgml/%{name}.soc
%{_sysconfdir}/xml/%{name}*.xml
%{_datadir}/xml/xhtml/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-20020801.4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-20020801.3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-20020801.2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 23 2023 Miaojun Dong <zoedong@tencent.com> - 1.0-20020801.1
- initial build
